#!/usr/bin/perl

# (c) astx@aws-it.at, 2014.05.03

#* I:\pcb\simulations\hameg_hmf2525\sinus_square_gen_test.mout
# pkt_0: V(x)=0.024375 at 0
# pkt_1: V(x)=-0.0236272 at 1.2207e-007
# pkt_2: V(x)=-0.0228794 at 2.44141e-007
# pkt_3: V(x)=-0.0221316 at 3.66211e-007
# pkt_4: V(x)=-0.0213837 at 4.88281e-007

my $pt=0;
my $val=0;
my $time=0;
my $otime=0;
open(INP, "< $ARGV[0]") && do {
	my @lines=<INP>;
	chomp(@lines);
	close(INP);
	foreach my $line (@lines) {
		if ($line=~/^$/) { next;}
		if ($line=~/^\*/) { next;}
		if ($line =~ /^pkt\_([0-9]+): V\(x\)=(.*) at (.*)$/) {
			$pt=$1;
			$val=$2;
			$time=$3;
			# printf("deltatime\t%0.12f\n", $time - $otime);
			$otime=$time;
			printf("$pt,%0.8f\r\n", $val);
			if ($val > 1.000000 || $val < -1.000000 ) {
				print STDERR "Value to big: $val at point $pt\n";
			}
		}
	}
};
